## org.apache.catalina.ssi
Class ExpressionParseTree

    java.lang.Object
      org.apache.catalina.ssi.ExpressionParseTree

public class ExpressionParseTree
extends java.lang.Object

Represents a parsed expression.

Version:
  $Revision: 1.2 $
Author:
  Paul Speed

Constructor Summary
`ExpressionParseTree(java.lang.String expr, SSIMediator ssiMediator)` Creates a new parse tree for the specified expression.

Method Summary
`boolean` `evaluateTree()` Evaluates the tree and returns true or false.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionParseTree

    public ExpressionParseTree(java.lang.String expr,
                               SSIMediator ssiMediator)
                        throws java.text.ParseException

  Creates a new parse tree for the specified expression.

Method Detail

### evaluateTree

    public boolean evaluateTree()

  Evaluates the tree and returns true or false. The specified SSIMediator is used to resolve variable references.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.